"""adding_roles_table

Revision ID: f67d6f8002cc
Revises: 418d7a2bcf5a
Create Date: 2021-02-23 13:14:04.453189

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'f67d6f8002cc'
down_revision = '418d7a2bcf5a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('roles',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('created_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('modified_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('description', sa.String(length=255), nullable=True),
    sa.Column('display_name', sa.String(length=255), nullable=True),
    sa.Column('config', postgresql.JSONB(astext_type=sa.Text()), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    schema='users'
    )
    op.create_table('account_role',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('created_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('modified_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('is_approved', sa.Boolean(), nullable=True),
    sa.Column('role_id', postgresql.UUID(), nullable=True),
    sa.Column('account_id', postgresql.UUID(), nullable=True),
    sa.ForeignKeyConstraint(['account_id'], ['users.account.id'], ),
    sa.ForeignKeyConstraint(['role_id'], ['users.roles.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='users'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('account_role', schema='users')
    op.drop_table('roles', schema='users')
    # ### end Alembic commands ###
